"use strict";

{
	C3.Plugins.Rex_TweenTasks.Exps =
	{
		FnParam(paramName, valueType)
		{
			return this.GetFnParam(paramName, valueType);
		},
		TaskParam(taskName, paramName, default_value)
		{
			var v = this.tasksMgr.GetTaskParameter(taskName, paramName);
			if (v == null)
				v = default_value || 0;

			return v;
		},
		TaskName()
		{
			var n = "";
			if (this.exp_task)
				n = this.exp_task.taskName;

			return n;
		},
		ChildTaskName(taskName)
		{
			var n = "",
				task;
			if (taskName)
				task = this.tasksMgr.GetActivatedTask(taskName);
			else
				task = this.exp_task;

			if (task && task.GetCurrentSubTask)
				n = task.GetCurrentSubTask().taskName;
			return n;
		},
		RootTaskName(taskName)
		{
			var n = "",
				task;
			if (taskName)
				task = this.tasksMgr.GetActivatedTask(taskName);
			else
				task = this.exp_task;

			if (task)
				n = task.GetRootTask().taskName;
			
			return n;
		},
		BoundInstUID()
		{
			return this.exp_bindInstUID;
		}
	};
	
}
